## ciderwebmail 1.05+20191006

=== root/locale/Makefile ===
LANGS := $(wildcard */)
all: extract update
extract:
	find ../templates |egrep '\.xml' | xargs i18nfool-extract
update: $(LANGS:%=%LC_MESSAGES/CiderWebmail.mo)
%/LC_MESSAGES/CiderWebmail.po: CiderWebmail.pot
	i18nfool-update
%/LC_MESSAGES/CiderWebmail.mo: %/LC_MESSAGES/CiderWebmail.po
	i18nfool-build

## ciderwebmail 1.04~20120610

=== debian/changelog ===
ciderwebmail (1.04~20120610-2) unstable; urgency=low

  * Initial packaging release for unstable.
  * Fix adjust symlink to mootools.
  * Fix syntac of PSGI (Catalyst documentation is wrong).
  * Add README.Debian documenting ways to deploy.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Jun 2012 22:29:53 +0200

ciderwebmail (1.04~20120610-1) experimental; urgency=low

  * New snapshot of upstream VCS.
    + Move common code to CiderWebmail::Test and fix Test::XPath
      dependency.
    + Make sure the reply_to array actually contains addresses.
    + Remove user_settings.sql from the repo and auto create it.
    + Use ->charset instead of passing charset arguments around.
    + Fix Perl::Critic warnings.
    + Output better warnings when unable to convert a string to utf8.
    + Add user_settings.sql to .gitignore.

  * Fix adjust symlink to http-icons.
  * Install default config as example file.
  * Install update_schema script as example file.
  * Install configfiles and sample uWSGI/Apache2 integration files.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Jun 2012 20:11:58 +0200

ciderwebmail (1.04~20120607-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#673342.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Jun 2012 22:28:26 +0200

=== debian/control ===
Source: ciderwebmail
Section: web
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.73~),
 perl,
 debhelper,
 dh-buildinfo,
 libparent-perl,
 libmoose-perl,
 libcatalyst-authentication-credential-http-perl,
 libyaml-perl,
 libyaml-libyaml-perl,
 libcatalyst-view-petal-perl,
 libpetal-utils-perl,
 libdatetime-perl,
 libdatetime-format-mail-perl,
 libmime-tools-perl,
 libtry-tiny-perl,
 libemail-simple-perl,
 libemail-sender-perl,
 libemail-valid-perl,
 libemail-address-perl,
 libregexp-common-email-address-perl,
 libregexp-common-perl,
 libtext-iconv-perl,
 libtext-autoformat-perl,
 libio-socket-ssl-perl,
 libclone-perl,
 libhtml-scrubber-perl,
 libhtml-tidy-perl,
 liburi-perl,
 liblocale-maketext-gettext-perl,
 liblist-moreutils-perl,
 libdata-ical-perl,
 libdatetime-format-iso8601-perl,
 libcrypt-util-perl,
 libcrypt-cbc-perl,
 libcrypt-rijndael-perl,
 libcrypt-random-source-perl,
 libmime-base64-urlsafe-perl,
 libfcgi-perl,
 libfcgi-procmanager-perl,
 libmoosex-role-withoverloading-perl (>= 0.09),
 libcatalyst-perl (>= 5.80030),
 libcatalyst-modules-perl (>= 43),
 libparse-recdescent-perl (>= 1.967009),
 libmail-imapclient-perl (>= 3.31),
 libjs-mootools,
 libtest-xpath-perl,
 libdbd-sqlite3-perl,
 libmodule-install-perl
Standards-Version: 3.9.3
Homepage: http://ciderwebmail.org/
Vcs-Git: git://git.debian.org/git/collab-maint/ciderwebmail
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ciderwebmail.git

Package: ciderwebmail
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: IMAP webmail service
 CiderWebmail is a modern, user friendly and maintenance free webmail
 application. It's targeted at mailserver administrators who need to
 provide web access for their user's mailboxes and individuals wanting
 to access their mailboxes via an always available web application.
 .
 It currently supports all the basic mail handling features one would
 expect from such an application:
 .
  * Listing your emails with selectable sort order and grouping.
  * Moving emails between folders and deleting using drag & drop.
  * Displaying text and HTML emails even if their code is completely
    broken (which happens quite often in reality)
  * Keyboard bindings for switching through emails, moving, deleting,
    replying and forwarding.
  * Reply to and forward existing emails or write new emails, add
    attachments and have a copy saved in your "Sent" folder.
 .
 As an application written deep in the 21st century, CiderWebmail
 supports only IMAP mail servers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2012, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for CiderWebmail
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = ciderwebmail

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_PACKAGE = CiderWebmail
# TODO: Use this and drop hints below when source again released there
#DEB_UPSTREAM_URL = http://ciderwebmail.org/downloads
DEB_UPSTREAM_URL = https://github.com/$(DEB_UPSTREAM_PACKAGE)/$(DEB_UPSTREAM_PACKAGE)/tarball
# TODO: when tagged upstream change to v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_BASENAME = master
DEB_UPSTREAM_TARBALL_DELIMITER =
DEB_UPSTREAM_TARBALL_EXTENSION =
DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 69b9cecb918f5c6326c7b4dc2da74f3b

# Needed by upstream build and (always) at runtime
#  * recent libcatalyst-modules-perl needed for versioned dependency on
#    Catalyst::Action::RenderView
perl-deps = parent moose catalyst-authentication-credential-http yaml
perl-deps += yaml-libyaml catalyst-view-petal petal-utils
perl-deps += datetime datetime-format-mail mime-tools try-tiny
perl-deps += email-simple email-sender email-valid email-address
perl-deps += regexp-common-email-address regexp-common text-iconv
perl-deps += text-autoformat io-socket-ssl clone html-scrubber html-tidy
perl-deps += uri locale-maketext-gettext list-moreutils data-ical
perl-deps += datetime-format-iso8601 crypt-util crypt-cbc crypt-rijndael
perl-deps += crypt-random-source mime-base64-urlsafe fcgi
perl-deps += fcgi-procmanager
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
deps += , libmoosex-role-withoverloading-perl (>= 0.09)
deps += , libcatalyst-perl (>= 5.80030), libcatalyst-modules-perl (>= 43)
deps += , libparse-recdescent-perl (>= 1.967009)
deps += , libmail-imapclient-perl (>= 3.31)
deps += , libjs-mootools
CDBS_BUILD_DEPENDS += , $(deps), $(deps-test)
CDBS_DEPENDS_$(pkg) = $(deps)

# Needed by upstream testsuite (undeclared in Makefile.PL)
deps-test = libtest-xpath-perl, libdbd-sqlite3-perl

# Needed for upstream build
CDBS_BUILD_DEPENDS += , libmodule-install-perl

# Needed (often) at runtime
CDBS_RECOMMENDS_$(pkg) = http-icons, libjs-mootools

# silence graphics files (in addition to defaults)
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(root/static/(images/.*|favicon\.ico)|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_DH_INSTALL_ARGS_$(pkg) = root/* usr/share/$(pkg)/root/
DEB_INSTALL_EXAMPLES_$(pkg) = ciderwebmail.yml script/update_schema.sh debian/uwsgi

# Avoid virtually empty TODO file
DEB_INSTALL_DOCS_ALL := $(filter-out TODO,$(DEB_INSTALL_DOCS_ALL))

# Install config files
binary-install/$(pkg)::
	mkdir -p $(cdbs_curdestdir)etc/$(pkg)
	touch $(cdbs_curdestdir)etc/$(pkg)/custom.css
	cp -f -t $(cdbs_curdestdir)etc/$(pkg) debian/etc/*

# Install binaries in project-specific dir and drop their manpages
binary-post-install/$(pkg)::
	mkdir -p $(cdbs_curdestdir)usr/share/$(pkg)/bin
	mv $(cdbs_curdestdir)usr/bin/* $(cdbs_curdestdir)usr/share/$(pkg)/bin/
	rm -rf $(cdbs_curdestdir)usr/share/man/man1

# Replace config and spearately shipped parts with symlinks
binary-post-install/$(pkg)::
	rm -f $(cdbs_curdestdir)usr/share/$(pkg)/root/static/scripts/mootools-core.js
	ln -sT ../../../../javascript/mootools/mootools-core.min.js $(cdbs_curdestdir)usr/share/$(pkg)/root/static/scripts/mootools-core.js
	rm -rf $(cdbs_curdestdir)usr/share/$(pkg)/root/static/images/mimeicons
	ln -sT ../../../../images/http-icons/ $(cdbs_curdestdir)usr/share/$(pkg)/root/static/images/mimeicons
	rm -rf $(cdbs_curdestdir)usr/share/$(pkg)/root/static/css/custom.css
	ln -sT /etc/ciderwebmail/custom.css $(cdbs_curdestdir)usr/share/$(pkg)/root/static/css/custom.css

# Drop unneeded noise
binary-post-install/$(pkg)::
	find $(cdbs_curdestdir)usr/share/$(pkg) -name '*.mo' -delete

## ciderwebmail 1.04

=== debian/changelog ===
ciderwebmail (1.04-1) unstable; urgency=low

  * New upstream release.

  * Fix depend on libdbd-sqlite3-perl.
  * Set default config dir in PSGI file.
  * Pass app arguments in PSGI file.
  * Reorganize configfile to closer match upstream default file.
  * Fix add 'send' section to config file, and recommend MTA.
  * Relax to suggest (not (build-)depend on) libfcgi-perl and
    libfcgi-procmanager-perl: Used only is example script.
  * Relax to recommend (not (build-)depend on) libjs-mootools.
  * Fix Vcs-* URLs to use pkg-perl group (not collab-maint).
  * Suggest dovecot (with virtual imap-server as fallback) and
    imapproxy.
  * Add Dovecot recommendation to long description.
  * Drop patch 1001: Adopted upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Jun 2012 05:02:02 +0200

=== debian/control ===
--- 
+++ 
@@ -40,21 +40,18 @@
  libcrypt-rijndael-perl,
  libcrypt-random-source-perl,
  libmime-base64-urlsafe-perl,
- libfcgi-perl,
- libfcgi-procmanager-perl,
+ libdbd-sqlite3-perl,
  libmoosex-role-withoverloading-perl (>= 0.09),
  libcatalyst-perl (>= 5.80030),
  libcatalyst-modules-perl (>= 43),
  libparse-recdescent-perl (>= 1.967009),
  libmail-imapclient-perl (>= 3.31),
- libjs-mootools,
  libtest-xpath-perl,
- libdbd-sqlite3-perl,
  libmodule-install-perl
 Standards-Version: 3.9.3
 Homepage: http://ciderwebmail.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/ciderwebmail
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ciderwebmail.git
+Vcs-Git: git://git.debian.org/git/pkg-perl/packages/ciderwebmail
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/ciderwebmail.git
 
 Package: ciderwebmail
 Architecture: all
@@ -83,3 +80,8 @@
  .
  As an application written deep in the 21st century, CiderWebmail
  supports only IMAP mail servers.
+ .
+ It is recommended to use CiderWebmail with the Dovecot IMAP server.
+ CiderWebmail deliberately does little internal caching for security
+ reasons, so if used with an IMAP server less powerfull than Dovecot you
+ may benefit from connecting via imapproxy.

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 DEB_UPSTREAM_TARBALL_EXTENSION =
 DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 69b9cecb918f5c6326c7b4dc2da74f3b
+DEB_UPSTREAM_TARBALL_MD5 = 86fd4c8601e98e48b9fc48035d01d004
 
 # Needed by upstream build and (always) at runtime
 #  * recent libcatalyst-modules-perl needed for versioned dependency on
@@ -50,25 +50,26 @@
 perl-deps += text-autoformat io-socket-ssl clone html-scrubber html-tidy
 perl-deps += uri locale-maketext-gettext list-moreutils data-ical
 perl-deps += datetime-format-iso8601 crypt-util crypt-cbc crypt-rijndael
-perl-deps += crypt-random-source mime-base64-urlsafe fcgi
-perl-deps += fcgi-procmanager
+perl-deps += crypt-random-source mime-base64-urlsafe dbd-sqlite3
 deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
 deps += , libmoosex-role-withoverloading-perl (>= 0.09)
 deps += , libcatalyst-perl (>= 5.80030), libcatalyst-modules-perl (>= 43)
 deps += , libparse-recdescent-perl (>= 1.967009)
 deps += , libmail-imapclient-perl (>= 3.31)
-deps += , libjs-mootools
 CDBS_BUILD_DEPENDS += , $(deps), $(deps-test)
 CDBS_DEPENDS_$(pkg) = $(deps)
 
 # Needed by upstream testsuite (undeclared in Makefile.PL)
-deps-test = libtest-xpath-perl, libdbd-sqlite3-perl
+deps-test = libtest-xpath-perl
 
 # Needed for upstream build
 CDBS_BUILD_DEPENDS += , libmodule-install-perl
 
-# Needed (often) at runtime
+# Needed (often/seldom) at runtime
 CDBS_RECOMMENDS_$(pkg) = http-icons, libjs-mootools
+CDBS_RECOMMENDS_$(pkg) += , default-mta | mail-transport-agent
+CDBS_SUGGESTS_$(pkg) = libfcgi-perl, libfcgi-procmanager-perl
+CDBS_SUGGESTS_$(pkg) += , dovecot | imap-server, imapproxy
 
 # silence graphics files (in addition to defaults)
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(root/static/(images/.*|favicon\.ico)|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -91,7 +92,7 @@
 	mv $(cdbs_curdestdir)usr/bin/* $(cdbs_curdestdir)usr/share/$(pkg)/bin/
 	rm -rf $(cdbs_curdestdir)usr/share/man/man1
 
-# Replace config and spearately shipped parts with symlinks
+# Replace config and separately shipped parts with symlinks
 binary-post-install/$(pkg)::
 	rm -f $(cdbs_curdestdir)usr/share/$(pkg)/root/static/scripts/mootools-core.js
 	ln -sT ../../../../javascript/mootools/mootools-core.min.js $(cdbs_curdestdir)usr/share/$(pkg)/root/static/scripts/mootools-core.js

=== debian/watch ===
version=3
http://ciderwebmail.org/download/index.html .*/CiderWebmail-([\d].+)\.tar\.gz

## ciderwebmail 1.05

=== debian/changelog ===
ciderwebmail (1.05-6) unstable; urgency=medium

  [ Axel Beckert ]
  * debian/copyright: Drop CiderWebmail's Request Tracker from
    Upstream-Contact. Seems to no more exist. Thanks DUCK!

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 3.9.8.
  * Use https protocol in Vcs-Git URL.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Update watch file:
    + Bump file format to version 4.
    + Track only github source, and refine pattern.
    + Mangle download filename.
    + Add usage comment.
  * Include and use local script license-miner (succeeding
    print-metadata.pl).
  * Update package relations:
    + Build-depend on libfont-ttf-perl.
    + Stop build-depend on libipc-system-simple-perl lcdf-typetools.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 May 2016 15:21:01 +0200

ciderwebmail (1.05-5) unstable; urgency=medium

  * Team upload.
  * Fix symlink_to_dir call in debian/ciderwebmail.maintscript.
    + Add a trailing slash to the old-target path.
    + Bump prior-version.

    Thanks to Andreas Beckmann for the pointer and patch. (Closes: #774862)

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Jan 2015 18:19:25 +0100

ciderwebmail (1.05-4) unstable; urgency=medium

  * Team upload.
  * Handle symlink-to-directory transition of
    /usr/share/ciderwebmail/root/static/images/mimeicons.

    Add debian/ciderwebmail.maintscript with the symlink_to_dir instruction,
    and 'Pre-Depends: ${misc:Pre-Depends}' in debian/control{,.in}.

    Thanks to Andreas Beckmann for the bug report. (Closes: #774862)

 -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2015 18:00:22 +0100

ciderwebmail (1.05-3) unstable; urgency=medium

  * Add patch 1002 to fix submit button for sending mail.
    Closes: bug#773207.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Dec 2014 17:10:44 +0100

ciderwebmail (1.05-2) unstable; urgency=medium

  * Add patch 1001 to fix resolve supported languages.
  * Fix strip more upstream install noise.
  * Fix build-depend on libcatalyst-devel-perl (due to upstream release
    done without generating embedded code copies below inc/ as required
    by Catalyst sometimes - e.g. on backports to Wheezy).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Oct 2014 18:49:13 +0200

ciderwebmail (1.05-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Now works when using Courier IMAP server.
    + Various improvements for the test suite.
    + Remove Mootools, replace with plain JavaScript.
    + HTML5 message submission progress bar.
    + Various html/css/design fixes across all browsers.
    + Basic managesieve support.
    + Improve text/html mail rendering support based on
      HTML::Defang and HTML::Tidy
    + Add support for Content Security Policy when rendering text/html
      parts.
    + New russian, czech and danish translations.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to use cgit web frontend.

  [ Jonas Smedegaard ]
  * Handle new Managesieve support:
    + Recommend libauthen-sasl-perl, for secure Managesieve connections.
    + Add managesieve options to Debian-forked configfile.
    + (Build-)depend on libnet-managesieve-perl.
  * Improve language support:
    + Add patch 1001 with danish localization.
    + Regenerate localized templates during build.
    + Build-depend on gettext.
  * Avoid installing unused locale or var files, or empty /usr/bin dir.
  * Adapt to upstream now using Oxygen icon theme also for mimeicons:
    + Stop recommend http-icons.
    + Drop http-icons paragraphs in copyright file.
    + Update Files paragraph about Oxygen icons in copyright file.
    + Add TODO about use of separately packaged oxygen-icon-theme.
  * Replace mootools-more.js (in addition to mootools-core.js) with
    symlink to separately packaged file.
  * Unfuzz patch 2001.
  * Update package relations (in addition to others above):
    + (Build-)depend on libhtml-defang-perl (not libhtml-scrubber-perl).
    + (Build-)depend on libjson-xs-perl, libtry-tiny-smartcatch-perl,
    + liblog-dispatch-perl, liblog-dispatch-config-perl,
      libcatalyst-plugin-log-dispatch-perl.
    + (Build-) depend on (recent libcatalyst-perl or)
      libcatalyst-plugin-unicode-encoding-perl (not
      libcatalyst-plugin-unicode-perl).
    + Tighten (build-)dependency on libmail-imapclient-perl.
  * Declare compliance with Debian Policy 3.9.6.
  * Add alternative git source URLs.
  * Drop patch 1001, and drop custom cleanup: Danish l10n now upstream.
  * Resolve localizations during build (don't hardcode).
  * Suppress .mo files in copyright check.
  * Extract metadata from images for copyright check (instead of
    skipping them).
    Build-depend on libimage-exiftool-perl, libregexp-assemble-perl,
    libipc-system-simple-perl and lcdf-typetools.
  * Update and simplify generating l10n files.
  * Stop recommend or add symlink for mootools: No longer used.
  * Fix declare $HOME when creating user.
    Thanks to lintian.
  * Drop excess files bogusly handled by upstream install routines.
    Thanks to lintian.
  * Use tagged releases at Github, and stop track checksum of upstream
    tarball.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Oct 2014 02:35:27 +0200

ciderwebmail (1.04-3) unstable; urgency=medium

  * Update copyright info:
    + Fix revert adding short licensing texts: Wrong to silence lintian
      warning by inventing licensing statements!
    + Fix use comment and license pseudo-sections to obey silly
      restrictions of copyright format 1.0.
    + Update alternate sources, and add alternate upstream contact.
    + Fix add License section for LGPL-2.1+.
    + Extend and improve coverage of images.
    + Fix indent a license.


=== debian/control ===
--- 
+++ 
@@ -3,21 +3,26 @@
 Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.73~),
+Build-Depends: cdbs,
+ devscripts,
  perl,
  debhelper,
  dh-buildinfo,
- libparent-perl,
  libmoose-perl,
  libcatalyst-authentication-credential-http-perl,
+ liblog-dispatch-perl,
+ liblog-dispatch-config-perl,
+ libcatalyst-plugin-log-dispatch-perl,
  libyaml-perl,
  libyaml-libyaml-perl,
+ libjson-xs-perl,
  libcatalyst-view-petal-perl,
  libpetal-utils-perl,
  libdatetime-perl,
  libdatetime-format-mail-perl,
  libmime-tools-perl,
  libtry-tiny-perl,
+ libtry-tiny-smartcatch-perl,
  libemail-simple-perl,
  libemail-sender-perl,
  libemail-valid-perl,
@@ -27,8 +32,8 @@
  libtext-iconv-perl,
  libtext-autoformat-perl,
  libio-socket-ssl-perl,
+ libnet-managesieve-perl,
  libclone-perl,
- libhtml-scrubber-perl,
  libhtml-tidy-perl,
  liburi-perl,
  liblocale-maketext-gettext-perl,
@@ -40,21 +45,37 @@
  libcrypt-rijndael-perl,
  libcrypt-random-source-perl,
  libmime-base64-urlsafe-perl,
- libdbd-sqlite3-perl,
  libmoosex-role-withoverloading-perl (>= 0.09),
  libcatalyst-perl (>= 5.80030),
- libcatalyst-modules-perl (>= 43),
+ libcatalyst-plugin-configloader-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-plugin-static-simple-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-perl (>= 5.90042-2~) | libcatalyst-plugin-unicode-encoding-perl,
+ libcatalyst-plugin-stacktrace-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-plugin-authentication-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-plugin-session-store-fastmmap-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-plugin-session-state-cookie-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-model-dbic-schema-perl (>= 0.41) | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-action-renderview-perl (>= 0.16) | libcatalyst-modules-perl (>= 43~),
+ libcatalyst-action-renderview-perl (>= 0.16) | libcatalyst-modules-perl (<< 48~),
  libparse-recdescent-perl (>= 1.967009),
- libmail-imapclient-perl (>= 3.31),
+ libmail-imapclient-perl (>= 3.35),
+ libhtml-defang-perl (>= 1.04),
+ libdbd-sqlite3-perl,
+ libmodule-install-perl,
+ libcatalyst-devel-perl,
  libtest-xpath-perl,
- libmodule-install-perl
-Standards-Version: 3.9.3
+ libregexp-assemble-perl,
+ libimage-exiftool-perl,
+ libfont-ttf-perl,
+ gettext
+Standards-Version: 3.9.8
 Homepage: http://ciderwebmail.org/
-Vcs-Git: git://git.debian.org/git/pkg-perl/packages/ciderwebmail
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/ciderwebmail.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/ciderwebmail
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/ciderwebmail.git
 
 Package: ciderwebmail
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${cdbs:Depends},
  ${misc:Depends},
  ${perl:Depends}
@@ -83,5 +104,5 @@
  .
  It is recommended to use CiderWebmail with the Dovecot IMAP server.
  CiderWebmail deliberately does little internal caching for security
- reasons, so if used with an IMAP server less powerfull than Dovecot you
+ reasons, so if used with an IMAP server less powerful than Dovecot you
  may benefit from connecting via imapproxy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2012-2014 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for CiderWebmail
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = ciderwebmail

DEB_UPSTREAM_PACKAGE = CiderWebmail
# TODO: Use this and drop hints below when source again released there
#DEB_UPSTREAM_URL = http://ciderwebmail.org/downloads
DEB_UPSTREAM_URL = https://github.com/$(DEB_UPSTREAM_PACKAGE)/$(DEB_UPSTREAM_PACKAGE)/archive
DEB_UPSTREAM_TARBALL_BASENAME = release-$(DEB_UPSTREAM_TARBALL_VERSION)

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# Needed by upstream build and (always/often) at runtime
perl-deps = moose catalyst-authentication-credential-http log-dispatch
perl-deps += log-dispatch-config catalyst-plugin-log-dispatch yaml
perl-deps += yaml-libyaml json-xs catalyst-view-petal petal-utils
perl-deps += datetime datetime-format-mail mime-tools try-tiny try-tiny-smartcatch
perl-deps += email-simple email-sender email-valid email-address
perl-deps += regexp-common-email-address regexp-common text-iconv
perl-deps += text-autoformat io-socket-ssl net-managesieve clone html-tidy
perl-deps += uri locale-maketext-gettext list-moreutils data-ical
perl-deps += datetime-format-iso8601 crypt-util crypt-cbc crypt-rijndael
perl-deps += crypt-random-source mime-base64-urlsafe
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
deps +=, libmoosex-role-withoverloading-perl (>= 0.09)
deps +=, libcatalyst-perl (>= 5.80030)
deps +=, libcatalyst-plugin-configloader-perl | libcatalyst-modules-perl (<< 48~)
deps +=, libcatalyst-plugin-static-simple-perl | libcatalyst-modules-perl (<< 48~)
deps +=, libcatalyst-perl (>= 5.90042-2~) | libcatalyst-plugin-unicode-encoding-perl
deps +=, libcatalyst-plugin-stacktrace-perl | libcatalyst-modules-perl (<< 48~)
deps +=, libcatalyst-plugin-authentication-perl | libcatalyst-modules-perl (<< 48~)
deps +=, libcatalyst-plugin-session-store-fastmmap-perl | libcatalyst-modules-perl (<< 48~)
deps +=, libcatalyst-plugin-session-state-cookie-perl | libcatalyst-modules-perl (<< 48~)
deps +=, libcatalyst-model-dbic-schema-perl (>= 0.41) | libcatalyst-modules-perl (<< 48~)
deps +=, libcatalyst-action-renderview-perl (>= 0.16) | libcatalyst-modules-perl (>= 43~)
deps +=, libcatalyst-action-renderview-perl (>= 0.16) | libcatalyst-modules-perl (<< 48~)
deps +=, libparse-recdescent-perl (>= 1.967009)
deps +=, libmail-imapclient-perl (>= 3.35)
deps +=, libhtml-defang-perl (>= 1.04)
deps-recommend = libdbd-sqlite3-perl

# Needed by upstream testsuite (undeclared in Makefile.PL)
deps-test = libtest-xpath-perl

# Needed by upstream build
#  * Drop libcatalyst-devel-perl when upstream does proper packaging
bdeps = libmodule-install-perl, libcatalyst-devel-perl

# Needed (always/often/seldom) at runtime
# * libauthen-sasl-perl needed for secure Managesieve connections
depends = adduser
recommends = libauthen-sasl-perl
recommends +=, default-mta | mail-transport-agent
suggests = libfcgi-perl, libfcgi-procmanager-perl
suggests +=, dovecot | imap-server, imapproxy

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-recommend), $(bdeps), $(deps-test)
CDBS_DEPENDS_$(pkg) = $(deps), $(depends)
CDBS_RECOMMENDS_$(pkg) = $(deps-recommend), $(recommends)
CDBS_SUGGESTS_$(pkg) = $(suggests)

# Track changes to copyright and licensing hints
#  * extract metadata from binary graphics files and fonts
#  * skip binary graphics files known to not contain metadata
CDBS_BUILD_DEPENDS +=, libregexp-assemble-perl, libimage-exiftool-perl
CDBS_BUILD_DEPENDS +=, libfont-ttf-perl
copyright-check-binary-ext-regex = gif|ico|jpeg|jpg|png|ttf|otf
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((.*/)?[^/]+\.($(copyright-check-binary-ext-regex))|debian/(changelog|copyright(|_hints|_newhints)))$$
debian/stamp-copyright-check: debian/stamp-extract-copyright
debian/stamp-extract-copyright:
	find * -type f -regextype posix-extended \
		-regex '.*\.($(copyright-check-binary-ext-regex))' \
		-print0 | perl -0 debian/license-miner
	touch $@
pre-build:: clean-extracted-copyright-during-build
clean-extracted-copyright-during-build: debian/stamp-copyright-check
	find -type f -name '*.metadata_dump' -delete
clean::
	find -type f -name '*.metadata_dump' -delete
	rm -f debian/stamp-extract-copyright

DEB_INSTALL_EXAMPLES_$(pkg) = ciderwebmail.yml script/update_schema.sh

# Avoid virtually empty TODO file
DEB_INSTALL_DOCS_ALL := $(filter-out TODO,$(DEB_INSTALL_DOCS_ALL))

# (Re)generate localized templates
CDBS_BUILD_DEPENDS +=, gettext
langs := $(shell \
	find root/locale -mindepth 1 -maxdepth 1 -type d -printf '%f\n')
configure/$(pkg):: debian/stamp-mktemplates
debian/stamp-mktemplates: pre-build
	for lang in $(langs); do \
		stem=root/locale/$$lang/LC_MESSAGES/CiderWebmail; \
		msgfmt -o $$stem.mo $$stem.po; \
	done
	cd root/templates && perl ./template.pl
	touch $@
clean::
	find root/locale -type f -name '*.mo' -delete
	rm -f debian/stamp-mktemplates

# Install config files
binary-install/$(pkg)::
	mkdir -p $(cdbs_curdestdir)etc/$(pkg)
	touch $(cdbs_curdestdir)etc/$(pkg)/custom.css

# Install binaries in project-specific dir and drop their manpages
binary-post-install/$(pkg)::
	mkdir -p $(cdbs_curdestdir)usr/share/$(pkg)/bin
	mv $(cdbs_curdestdir)usr/bin $(cdbs_curdestdir)usr/share/$(pkg)/
	rm -rf $(cdbs_curdestdir)usr/share/man/man1

# Replace config with symlinks
binary-post-install/$(pkg)::
	rm -rf $(cdbs_curdestdir)usr/share/$(pkg)/root/static/css/custom.css
	ln -sT /etc/ciderwebmail/custom.css $(cdbs_curdestdir)usr/share/$(pkg)/root/static/css/custom.css

# Drop excess files bogusly handled by upstream install routines
binary-post-install/$(pkg)::
	rm -rf $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/.pc
	rm -rf $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/root
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/.gitignore
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/LICENSE
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/TODO
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/ciderwebmail.yml
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/root/templates/template.pl
	rm -f $(cdbs_curdestdir)usr/share/ciderwebmail/root/templates/template.pl

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%",dversionmangle=s/~(alpha|beta|rc)/-$1/ \
 https://github.com/CiderWebmail/CiderWebmail/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## ciderwebmail 1.05+20150729

=== debian/changelog ===
ciderwebmail (1.05+20150729-3) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/watch: fix syntax error and tarball name regexp.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Fix use project-custom release prefix.
    + Fix use uversiomangle (not dversionmangle) for prerelease suffix.
    + Use substitution strings.
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) path.
    + Consistently include .git suffix in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Drop get-orig-source target: Use gbp import-orig --uscan.
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.
  * Update package relations: Relax to (build-)depend unversioned on
    libmoosex-role-withoverloading-perl libcatalyst-perl
    libcatalyst-plugin-configloader-perl
    libcatalyst-plugin-static-simple-perl
    libcatalyst-plugin-stacktrace-perl
    libcatalyst-plugin-authentication-perl
    libcatalyst-plugin-session-store-fastmmap-perl
    libcatalyst-plugin-session-state-cookie-perl
    libcatalyst-model-dbic-schema-perl
    libcatalyst-action-renderview-perl
    libcatalyst-action-renderview-perl libparse-recdescent-perl
    libmail-imapclient-perl libhtml-defang-perl: Needed version
    satisfied even in oldstable.
  * Improve Apache config snippet to catch URL without trailing slash
    (unhandled by uWSGI).
    Closes: Bug#798610. Thanks to James Valleroy.
  * Symlink Apache config snippet to /etc/apache2/conf-available.
    Thanks to James Valleroy.
  * Modernize README.Debian slightly.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Sep 2017 10:39:22 +0200

ciderwebmail (1.05+20150729-2) unstable; urgency=medium

  * Mark package as autopkg-testable.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Sep 2016 17:55:57 +0200

ciderwebmail (1.05+20150729-1) unstable; urgency=medium

  [ upstream ]
  * Git snapshot.
    + Check template instead of locale folder for supported languages.
    + Remove more mootoolsisms.
    + Remove mootools form validation.
    + Make sure the sending progress dialog is removed after sending.
    + Remove mootools data validatoin from html template.
    + Replace JSON.decode from mootools with JSON.parse.
    + Add html5 input validation and replace CSS for composer.
    + Fix textarea scrolling in message composing.

  [ Jonas Smedegaard ]
  * Fix avoid license-mine .ico files (unsupported by exiftool - see
    <https://rt.cpan.org/Ticket/Display.html?id=114260>).
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .gitignore file.
  * Drop patch 1001: Adopted upstream.
  * Unfuzz patch 1002.
  * Update copyright info:
    + Extend coverage of packaging to include recent years.
  * Use recet licensecheck, and license-miner now shipped with CDBS.
    + Stop include license-miner locally (shipped with CDBS now).
    + Tighten to build-depend versioned on cdbs.
    + Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Sep 2016 16:48:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- devscripts,
  perl,
  debhelper,
  dh-buildinfo,
  libmoose-perl,
- libcatalyst-authentication-credential-http-perl,
  liblog-dispatch-perl,
+ libparse-recdescent-perl,
+ libmail-imapclient-perl,
  liblog-dispatch-config-perl,
  libcatalyst-plugin-log-dispatch-perl,
  libyaml-perl,
@@ -45,33 +45,28 @@
  libcrypt-rijndael-perl,
  libcrypt-random-source-perl,
  libmime-base64-urlsafe-perl,
- libmoosex-role-withoverloading-perl (>= 0.09),
- libcatalyst-perl (>= 5.80030),
- libcatalyst-plugin-configloader-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-plugin-static-simple-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-perl (>= 5.90042-2~) | libcatalyst-plugin-unicode-encoding-perl,
- libcatalyst-plugin-stacktrace-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-plugin-authentication-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-plugin-session-store-fastmmap-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-plugin-session-state-cookie-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-model-dbic-schema-perl (>= 0.41) | libcatalyst-modules-perl (<< 48~),
- libcatalyst-action-renderview-perl (>= 0.16) | libcatalyst-modules-perl (>= 43~),
- libcatalyst-action-renderview-perl (>= 0.16) | libcatalyst-modules-perl (<< 48~),
- libparse-recdescent-perl (>= 1.967009),
- libmail-imapclient-perl (>= 3.35),
- libhtml-defang-perl (>= 1.04),
+ libhtml-defang-perl,
+ libmoosex-role-withoverloading-perl,
+ libcatalyst-perl,
+ libcatalyst-authentication-credential-http-perl,
+ libcatalyst-plugin-configloader-perl,
+ libcatalyst-plugin-static-simple-perl,
+ libcatalyst-plugin-stacktrace-perl,
+ libcatalyst-plugin-authentication-perl,
+ libcatalyst-plugin-session-store-fastmmap-perl,
+ libcatalyst-plugin-session-state-cookie-perl,
+ libcatalyst-model-dbic-schema-perl,
+ libcatalyst-action-renderview-perl,
  libdbd-sqlite3-perl,
  libmodule-install-perl,
  libcatalyst-devel-perl,
  libtest-xpath-perl,
- libregexp-assemble-perl,
- libimage-exiftool-perl,
- libfont-ttf-perl,
  gettext
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://ciderwebmail.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/ciderwebmail
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/ciderwebmail.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/ciderwebmail.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-perl/packages/ciderwebmail.git
+Testsuite: autopkgtest-pkg-perl
 
 Package: ciderwebmail
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2012-2017 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for CiderWebmail
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = ciderwebmail

# Needed by upstream build and (always/often) at runtime
perl-deps = moose log-dispatch parse-recdescent mail-imapclient
perl-deps += log-dispatch-config catalyst-plugin-log-dispatch yaml
perl-deps += yaml-libyaml json-xs catalyst-view-petal petal-utils
perl-deps += datetime datetime-format-mail mime-tools try-tiny try-tiny-smartcatch
perl-deps += email-simple email-sender email-valid email-address
perl-deps += regexp-common-email-address regexp-common text-iconv
perl-deps += text-autoformat io-socket-ssl net-managesieve clone html-tidy
perl-deps += uri locale-maketext-gettext list-moreutils data-ical
perl-deps += datetime-format-iso8601 crypt-util crypt-cbc crypt-rijndael
perl-deps += crypt-random-source mime-base64-urlsafe html-defang
perl-deps += moosex-role-withoverloading catalyst
catalyst-deps = authentication-credential-http plugin-configloader
catalyst-deps += plugin-static-simple plugin-stacktrace
catalyst-deps += plugin-authentication plugin-session-store-fastmmap
catalyst-deps += plugin-session-state-cookie model-dbic-schema
catalyst-deps += action-renderview action-renderview
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
deps += $(patsubst %,$(comma) libcatalyst-%-perl,$(catalyst-deps))
deps-recommend = libdbd-sqlite3-perl

# Needed by upstream testsuite (undeclared in Makefile.PL)
deps-test = libtest-xpath-perl

# Needed by upstream build
#  * Drop libcatalyst-devel-perl when upstream does proper packaging
bdeps = libmodule-install-perl, libcatalyst-devel-perl

# Needed (always/often/seldom) at runtime
# * libauthen-sasl-perl needed for secure Managesieve connections
depends = adduser
recommends = libauthen-sasl-perl
recommends +=, default-mta | mail-transport-agent
suggests = libfcgi-perl, libfcgi-procmanager-perl
suggests +=, dovecot | imap-server, imapproxy

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-recommend), $(bdeps), $(deps-test)
CDBS_DEPENDS_$(pkg) = $(deps), $(depends)
CDBS_RECOMMENDS_$(pkg) = $(deps-recommend), $(recommends)
CDBS_SUGGESTS_$(pkg) = $(suggests)

DEB_INSTALL_EXAMPLES_$(pkg) = ciderwebmail.yml script/update_schema.sh

# Avoid virtually empty TODO file
DEB_INSTALL_DOCS_ALL := $(filter-out TODO,$(DEB_INSTALL_DOCS_ALL))

# (Re)generate localized templates
CDBS_BUILD_DEPENDS +=, gettext
langs := $(shell \
	find root/locale -mindepth 1 -maxdepth 1 -type d -printf '%f\n')
configure/$(pkg):: debian/stamp-mktemplates
debian/stamp-mktemplates: pre-build
	for lang in $(langs); do \
		stem=root/locale/$$lang/LC_MESSAGES/CiderWebmail; \
		msgfmt -o $$stem.mo $$stem.po; \
	done
	cd root/templates && perl ./template.pl
	touch $@
clean::
	find root/locale -type f -name '*.mo' -delete
	rm -f debian/stamp-mktemplates

# Install config files
binary-install/$(pkg)::
	mkdir -p $(cdbs_curdestdir)etc/$(pkg)
	touch $(cdbs_curdestdir)etc/$(pkg)/custom.css

# Install binaries in project-specific dir and drop their manpages
binary-post-install/$(pkg)::
	mkdir -p $(cdbs_curdestdir)usr/share/$(pkg)/bin
	mv $(cdbs_curdestdir)usr/bin $(cdbs_curdestdir)usr/share/$(pkg)/
	rm -rf $(cdbs_curdestdir)usr/share/man/man1

# Replace config with symlinks
binary-post-install/$(pkg)::
	rm -rf $(cdbs_curdestdir)usr/share/$(pkg)/root/static/css/custom.css
	ln -sT /etc/ciderwebmail/custom.css $(cdbs_curdestdir)usr/share/$(pkg)/root/static/css/custom.css

# Drop excess files bogusly handled by upstream install routines
binary-post-install/$(pkg)::
	rm -rf $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/.pc
	rm -rf $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/root
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/.gitignore
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/LICENSE
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/TODO
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/ciderwebmail.yml
	rm -f $(cdbs_curdestdir)usr/share/perl5/CiderWebmail/root/templates/template.pl
	rm -f $(cdbs_curdestdir)usr/share/ciderwebmail/root/templates/template.pl

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?release(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/-(alpha|beta|rc)/~$1/" \
 https://github.com/CiderWebmail/CiderWebmail/tags \
 (?:.*?/)?release@ANY_VERSION@@ARCHIVE_EXT@
